%define srcname bottle

Name:           python-%{srcname}
Version:        0.12.16
%define 	subrel 1
Release:        %mkrel 1
Summary:        Fast and simple WSGI-framework for small web-applications

Group:          Development/Python
License:        MIT
URL:            http://bottlepy.org
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

#
# Security patches
# P100 -> ...
#
# CVE-2020-28473: https://snyk.io/vuln/SNYK-PYTHON-BOTTLE-1017108
Patch100:       57a2f22e0c1d2b328c4f54bf75741d74f47f1a6b.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Bottle is a fast and simple micro-framework for small web-applications. 
It offers request dispatching (Routes) with URL parameter support, Templates, 
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and 
template engines. All in a single file and with no dependencies other than the 
Python Standard Library.

%package -n python3-%{srcname}
Group:          Development/Python
License:        MIT
Summary:        Fast and simple WSGI-framework for small web-applications

%description -n python3-%{srcname}
Bottle is a fast and simple micro-framework for small web-applications. 
It offers request dispatching (Routes) with URL parameter support, Templates, 
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and 
template engines. All in a single file and with no dependencies other than the 
Python Standard Library.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

sed -i '/^#!/d' bottle.py

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
rm %{buildroot}%{_bindir}/bottle.py

pushd %{py3dir}
%py3_install
rm %{buildroot}%{_bindir}/bottle.py
popd

%files
%doc README.rst PKG-INFO
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc README.rst PKG-INFO
%{python3_sitelib}/*



%changelog
* Thu Mar 04 2021 neoclust <neoclust> 0.12.16-1.1.mga7
+ Revision: 1698138
- Add P100: Fixes CVE-2020-28473 (mga#28219)

* Mon Jan 07 2019 shlomif <shlomif> 0.12.16-1.mga7
+ Revision: 1351467
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.12.11-3.mga7
+ Revision: 1288386
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.12.11-2.mga7
+ Revision: 1135328
- Rebuild for python 3.6

* Thu Dec 22 2016 philippem <philippem> 0.12.11-1.mga6
+ Revision: 1076337
- update to 0.12.11, fix mga#20004 CVE-2016-9964

* Mon Mar 07 2016 philippem <philippem> 0.12.9-1.mga6
+ Revision: 987161
- update to 0.12.9

* Fri Feb 19 2016 umeabot <umeabot> 0.12.7-6.mga6
+ Revision: 970551
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.12.7-5.mga6
+ Revision: 887126
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.12.7-4.mga5
+ Revision: 740668
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.12.7-3.mga5
+ Revision: 728111
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.12.7-2.mga5
+ Revision: 687908
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 philippem <philippem> 0.12.7-1.mga5
+ Revision: 638020
- correct group
- imported package python-bottle

